<?php
/**
 * Button Coupon Affiliate Marketing
 *
 * @package       BUTTONCOUP
 * @author        nguyenthaimmo
 * @license       gplv2
 * @version       1.0.0
 *
 * @wordpress-plugin
 * Plugin Name:   Button Coupon Affiliate Marketing
 * Plugin URI:    https://nguyenthaimmo.com/
 * Description:   Plugin tạo nút coupon cho website làm Affiliate Marketing
 * Version:       1.0.0
 * Author:        nguyenthaimmo
 * Author URI:    https://nguyenthaimmo.com/
 * Text Domain:   button-coupon-affiliate-marketing
 * Domain Path:   /languages
 * License:       GPLv2
 * License URI:   https://www.gnu.org/licenses/gpl-2.0.html
 */

function nguyenthaimmo_bt_coupon($atts) {
    extract(shortcode_atts(array(
        'link'   => '',
        'coupon' => '',
        'text'   => 'Copy và sử dụng coupon giảm giá bên dưới khi thanh toán:',
        'content'=> '',
        'a'      => "'"
    ), $atts));

    ob_start();
    ?>
    <a href="javascript:void(0)" class="coupon-code" data-link="<?php echo esc_url($link); ?>" data-coupon="<?php echo esc_attr($coupon); ?>" data-text="<?php echo esc_attr($text); ?>">
        <?php echo esc_html($content); ?>
    </a>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            var buttons = document.querySelectorAll('.coupon-code');
            buttons.forEach(function(button) {
                button.addEventListener('click', function() {
                    var link = button.getAttribute('data-link');
                    var coupon = button.getAttribute('data-coupon');
                    var text = button.getAttribute('data-text');
                    var userCoupon = prompt(text, coupon);
                    if (userCoupon) {
                        window.open(link, '_blank');
                    }
                });
            });
        });
    </script>
    <?php
    return ob_get_clean();
}
add_shortcode('btcoupon', 'nguyenthaimmo_bt_coupon');

/* Link Coupon. */
function nguyenthaimmo_link_coupon($atts) {
    extract(shortcode_atts(array(
        'link'    => '',
        'content' => '',
        'a'       => "'"
    ), $atts));
    
    return '<a href="javascript:void(0)" target="_blank" onclick="window.open(' . $a . $link . $a . ');" class="coupon-code">' . $content . '</a>';
}

add_shortcode('linkcoupon', 'nguyenthaimmo_link_coupon');

/**
 * Styles for the coupon code.
 */
function coupon_code_styles() {
    echo '
    <style>
        .coupon-code {
            background-color: #f4ff00; /* Màu của Nút */
            text-align: center;
            color: #000;
            cursor: pointer;
            font-weight: bold;
            font-size: 14px;
            padding: 10px 15px;
            display: inline-block;
            margin-bottom: 10px;
            height: initial;
            text-decoration: none;
            border-radius: 5px;
        }

        a.coupon-code:hover {
            background-color: #ff0000; /* Màu khi di chuyển chuột */
            color: #fff;
        }
    </style>';
}

add_action('wp_head', 'coupon_code_styles');

// Exit if accessed directly.
if (!defined('ABSPATH')) exit;

// Include your custom code here.